package com.ylcm.sys.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ylcm.sys.domain.AdSelectType;
import com.ylcm.sys.form.AdSelectForm;

/**
 * <p>
 * 广告下拉分类 服务类
 * </p>
 *
 * @author admin
 * @since 2020-07-04
 */
public interface AdSelectTypeService extends IService<AdSelectType> {

	/**
	 * 一级下拉分类菜单列表
	 * 
	 * @param type 类型
	 * @return
	 */
	List<AdSelectType> getTopSelectCategoryList(AdSelectForm form);
	
	/**
	 * 一级下拉分类菜单总数
	 * 
	 * @param type 类型
	 * @return
	 */
	Integer getTopSelectCategoryTotal(AdSelectForm form);
	
	/**
	   * 二级下拉分类菜单列表
	 * 
	 * @param type 类型
	 * @return
	 */
	List<AdSelectType> getSecondSelectCategoryList(AdSelectForm form);
	
	/**
	   * 二级下拉分类菜单总数
	 * 
	 * @param type 类型
	 * @return
	 */
	Integer getSecondSelectCategoryTotal(AdSelectForm form);
	
	/**
	   *  获取一级下拉菜单信息
	 */
	AdSelectType getAdSelectTypeByName(String name, Integer type);
	
	/**
	   *  获取二级下拉菜单信息
	 */
	AdSelectType getAdSecondSelectTypeByName(String name,Integer parent, Integer type);
}
